Metrics
Get Volume Metrics
Get usage metrics for a persistent volume (PVC).
Get usage metrics for a persistent volume (PVC).
Authorization
bearerAuth AuthorizationBearer <token>
Access token or API key (unb_...) passed as Authorization: Bearer <token>.
In: header
Query Parameters
team_id*string
pvc_id*string
start?string
Start time for the query, defaults to 1 week ago
Format
date-timeend?string
End time for the query, defaults to now
Format
date-timeResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/metrics/get-volume?team_id=string&pvc_id=string"{ "data": { "history": [ { "breakdown": { "property1": 0, "property2": 0 }, "timestamp": "2019-08-24T14:15:22Z", "value": 0.1 } ], "pvc_name": "string", "stats": { "capacity_gb": 0.1, "used_gb": 0.1 }, "step": 0 }}